package com.ejie.ab61.model.documentosPid;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * DocumentosPid  
 *  
 */

public class DocumentosPid  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idDocumentoPid;
            private Integer idTipoPlantilla;
            private String nombreDocumento;
            private String oidPid;
            private Date fechaAportadoPid;
            private String oidDokusi;
            private Integer aportadoExpediente;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;

	/** 
	 * Method 'DocumentosPid'.
	 */
    public DocumentosPid() {
    }


	
    
    /** 
     * Method 'DocumentosPid'.
     * @param idDocumentoPid Integer
     */    
     public DocumentosPid(Integer idDocumentoPid) {
          this.idDocumentoPid = idDocumentoPid;
	}

    

    /** 
     * Method 'DocumentosPid'.
     * @param idDocumentoPid Integer
     * @param idTipoPlantilla Integer
     * @param nombreDocumento String
     * @param oidPid String
     * @param fechaAportadoPid Date
     * @param oidDokusi String
     * @param aportadoExpediente Integer
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     */
   public DocumentosPid(Integer idDocumentoPid, Integer idTipoPlantilla, String nombreDocumento, String oidPid, Date fechaAportadoPid, String oidDokusi, Integer aportadoExpediente, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {	

           this.idDocumentoPid = idDocumentoPid;
           this.idTipoPlantilla = idTipoPlantilla;
           this.nombreDocumento = nombreDocumento;
           this.oidPid = oidPid;
           this.fechaAportadoPid = fechaAportadoPid;
           this.oidDokusi = oidDokusi;
           this.aportadoExpediente = aportadoExpediente;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
    }

    /**
	 * Method 'getIdDocumentoPid'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdDocumentoPid() {
		return this.idDocumentoPid;
	}

	/**
	 * Method 'setIdDocumentoPid'.
	 *
	 * @param idDocumentoPid Integer
	 * @return
     */
	
	public void setIdDocumentoPid(Integer idDocumentoPid) {
		this.idDocumentoPid = idDocumentoPid;
	}
    /**
	 * Method 'getIdTipoPlantilla'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdTipoPlantilla() {
		return this.idTipoPlantilla;
	}

	/**
	 * Method 'setIdTipoPlantilla'.
	 *
	 * @param idTipoPlantilla Integer
	 * @return
     */
	
	public void setIdTipoPlantilla(Integer idTipoPlantilla) {
		this.idTipoPlantilla = idTipoPlantilla;
	}
    /**
	 * Method 'getNombreDocumento'.
	 *
	 * @return String
	 */
	
	
	public String getNombreDocumento() {
		return this.nombreDocumento;
	}

	/**
	 * Method 'setNombreDocumento'.
	 *
	 * @param nombreDocumento String
	 * @return
     */
	
	public void setNombreDocumento(String nombreDocumento) {
		this.nombreDocumento = nombreDocumento;
	}
    /**
	 * Method 'getOidPid'.
	 *
	 * @return String
	 */
	
	
	public String getOidPid() {
		return this.oidPid;
	}

	/**
	 * Method 'setOidPid'.
	 *
	 * @param oidPid String
	 * @return
     */
	
	public void setOidPid(String oidPid) {
		this.oidPid = oidPid;
	}
    /**
	 * Method 'getFechaAportadoPid'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaAportadoPid() {
		return this.fechaAportadoPid;
	}

	/**
	 * Method 'setFechaAportadoPid'.
	 *
	 * @param fechaAportadoPid java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaAportadoPid(Date fechaAportadoPid) {
		this.fechaAportadoPid = fechaAportadoPid;
	}
    /**
	 * Method 'getOidDokusi'.
	 *
	 * @return String
	 */
	
	
	public String getOidDokusi() {
		return this.oidDokusi;
	}

	/**
	 * Method 'setOidDokusi'.
	 *
	 * @param oidDokusi String
	 * @return
     */
	
	public void setOidDokusi(String oidDokusi) {
		this.oidDokusi = oidDokusi;
	}
    /**
	 * Method 'getAportadoExpediente'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getAportadoExpediente() {
		return this.aportadoExpediente;
	}

	/**
	 * Method 'setAportadoExpediente'.
	 *
	 * @param aportadoExpediente Integer
	 * @return
     */
	
	public void setAportadoExpediente(Integer aportadoExpediente) {
		this.aportadoExpediente = aportadoExpediente;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idDocumentoPid: ").append(this.idDocumentoPid).append(" ]");
		result.append(", [ idTipoPlantilla: ").append(this.idTipoPlantilla).append(" ]");
		result.append(", [ nombreDocumento: ").append(this.nombreDocumento).append(" ]");
		result.append(", [ oidPid: ").append(this.oidPid).append(" ]");
		result.append(", [ fechaAportadoPid: ").append(this.fechaAportadoPid).append(" ]");
		result.append(", [ oidDokusi: ").append(this.oidDokusi).append(" ]");
		result.append(", [ aportadoExpediente: ").append(this.aportadoExpediente).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

